dpp::param_info
commandhandler.h
std::map< command_value, std::string > std::map<command_value, std::string> dpp::param_info::choices choices dpp::param_info::choices

Allowed multiple choice options. The key name is the string passed to the command handler and the key value is its description displayed to the user.

std::string std::string dpp::param_info::description description dpp::param_info::description

Description of command. Displayed only for slash commands.

bool bool dpp::param_info::optional optional dpp::param_info::optional

True if the parameter is optional. For non-slash commands optional parameters may only be on the end of the list.

parameter_type parameter_type dpp::param_info::type type dpp::param_info::type

Type of parameter.

dpp::param_info::param_info
(parameter_type t, bool o, const std::string &description, const std::map< command_value, std::string > &opts={})
param_info
dpp::param_info::param_info
parameter_type t
bool o
const std::string & description
const std::map< command_value, std::string > & opts {}

Construct a new param_info object.

t

Type of parameter

o

True if parameter is optional

description

The parameter description

opts

The options for a multiple choice parameter

Details of a command parameter used in registration. Note that for non-slash commands optional parameters can only be at the end of the list of parameters.

K
T
bool
command_value
dpp::param_info
type
optional
description
choices
parameter_type
std::basic_string< Char >
std::map< K, T >
keys
elements
std::map< command_value, std::string >
keys
elements
< command_value, std::string >
std::string
- dpp::param_info
  choices
- dpp::param_info
  description
- dpp::param_info
  optional
- dpp::param_info
  param_info
- dpp::param_info
  type